> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/archive/footer.md).

# Footer

## Overview

Customizing the footer is an enhanced feature in Launcher 4 that builds on the header configuration capabilities introduced in Launcher 3. While Launcher 3 allowed custom headers using widgets, Launcher 4 extends this functionality to footers, enabling any widget to be configured as a footer.

## Feature Configuration

### Configuring a Footer

Footers in Launcher 4 are fully customizable using widgets, just like headers in Launcher 3. Each footer configuration is identified by a unique id and includes a layout object that defines its widget details as shown in the table below:

| Field      | Description                                                                               |
| ---------- | ----------------------------------------------------------------------------------------- |
| widgetId   | A unique string identifier for the widget used in the footer. Example: scan-or-search-01. |
| widgetType | The specific type of widget to render in the footer. Example: search.                     |
| columnSpan | The number of columns the widget will occupy in the footer layout. Example: 1.            |
| rowSpan    | The number of rows the widget will occupy in the footer layout. Example: 2.               |

To configure a footer, specify the id and define the layout:

```json
"footer" : [
  {
    "id" : "default_openzone",
    "layout" : {
      "widgetId": "scan-or-search-01",
      "widgetType": "search",
      "columnSpan": 1,
      "rowSpan": 2
   }
]
```

### Defining Footer Criteria

The criteria\_OR object specifies the conditions under which a specific footer configuration should be applied. It consists of the following:

| Field   | Description                                                                        |
| ------- | ---------------------------------------------------------------------------------- |
| field   | <p>The field to evaluate for the criteria.</p><p>Example: \_${session.userId}.</p> |
| pattern | A regex pattern used to match the field value. Example: ^\_$.                      |

```json
"criteria_OR": [
      {
        "field": "_${session.userId}",
        "pattern": "^_$"
      }
    ]
```

\*\*\*needs additional patterns for Criteria? referencing [Persistent Foreground App](/bluefletch-enterprise/product-guides/bluefletch-launcher/launcher3/configurable-layouts/persistent-foreground-app.md) for further context


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/archive/footer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
